#include <stdio.h>
#include <math.h>
int main()
{
	double p,q,r,L,R,N,x=0;
    scanf("%g %g %g %g %g",&p,&q,&r,&L,&R);
	for(N=L;N<=R;N++)
	{
		if((ceil(N/p)+ceil(N/q)+ceil(N/r))<=N)
		x++;
	}
	printf("%g",x);
    return 0;
}